# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/arm/gemini.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Cortina systems Gemini platforms

description: |
  The Gemini SoC is the project name for an ARMv4 FA525-based SoC originally
  produced by Storlink Semiconductor around 2005. The company was renamed
  later renamed Storm Semiconductor. The chip product name is Storlink SL3516.
  It was derived from earlier products from Storm named SL3316 (Centroid) and
  SL3512 (Bulverde).

  Storm Semiconductor was acquired by Cortina Systems in 2008 and the SoC was
  produced and used for NAS and similar usecases. In 2014 Cortina Systems was
  in turn acquired by Inphi, who seem to have discontinued this product family.

  Many of the IP blocks used in the SoC comes from Faraday Technology.

maintainers:
  - Linus Walleij <linusw@kernel.org>

properties:
  $nodename:
    const: '/'
  compatible:
    oneOf:

      - description: Storlink Semiconductor Gemini324 EV-Board also known
          as Storm Semiconductor SL93512R_BRD
        items:
          - const: storlink,gemini324
          - const: storm,sl93512r
          - const: cortina,gemini

      - description: D-Link DIR-685 Xtreme N Storage Router
        items:
          - const: dlink,dir-685
          - const: cortina,gemini

      - description: D-Link DNS-313 1-Bay Network Storage Enclosure
        items:
          - const: dlink,dns-313
          - const: cortina,gemini

      - description: Edimax NS-2502
        items:
          - const: edimax,ns-2502
          - const: cortina,gemini

      - description: ITian Square One SQ201
        items:
          - const: itian,sq201
          - const: cortina,gemini

      - description: Raidsonic NAS IB-4220-B
        items:
          - const: raidsonic,ib-4220-b
          - const: cortina,gemini

      - description: SSI 1328
        items:
          - const: ssi,1328
          - const: cortina,gemini

      - description: Teltonika RUT1xx Mobile Router
        items:
          - const: teltonika,rut1xx
          - const: cortina,gemini

      - description: Wiligear Wiliboard WBD-111
        items:
          - const: wiligear,wiliboard-wbd111
          - const: cortina,gemini

      - description: Wiligear Wiliboard WBD-222
        items:
          - const: wiligear,wiliboard-wbd222
          - const: cortina,gemini

      - description: Wiligear Wiliboard WBD-111 - old incorrect binding
        items:
          - const: wiliboard,wbd111
          - const: cortina,gemini
        deprecated: true

      - description: Wiligear Wiliboard WBD-222 - old incorrect binding
        items:
          - const: wiliboard,wbd222
          - const: cortina,gemini
        deprecated: true

additionalProperties: true
